<?php
/**
 * Education Institution functions and definitions
 *
 * @package Education Institution
 */

function education_institution_scripts() {

	wp_enqueue_style( 'education-institution-style-parent', get_template_directory_uri() . '/style.css' );

	wp_enqueue_style( 'education-institution-basic-style', get_stylesheet_uri() );
}
add_action( 'wp_enqueue_scripts', 'education_institution_scripts' );

function education_institution_file_setup() {
    if ( ! defined( 'EDUCATIONAL_BLOCKS_SUPPORT' ) ) {
        define('EDUCATIONAL_BLOCKS_SUPPORT',__('https://wordpress.org/support/theme/education-institution/','education-institution'));
    }
    if ( ! defined( 'EDUCATIONAL_BLOCKS_REVIEW' ) ) {
        define('EDUCATIONAL_BLOCKS_REVIEW',__('https://wordpress.org/support/theme/education-institution/reviews/','education-institution'));
    }
    if ( ! defined( 'EDUCATIONAL_BLOCKS_LIVE_DEMO' ) ) {
        define('EDUCATIONAL_BLOCKS_LIVE_DEMO',__('https://trial.ovationthemes.com/education-insight/','education-institution'));
    }
    if ( ! defined( 'EDUCATIONAL_BLOCKS_BUY_PRO' ) ) {
        define('EDUCATIONAL_BLOCKS_BUY_PRO',__('https://www.ovationthemes.com/products/education-wordpress-theme','education-institution'));
    }
    if ( ! defined( 'EDUCATIONAL_BLOCKS_PRO_DOC' ) ) {
        define('EDUCATIONAL_BLOCKS_PRO_DOC',__('https://trial.ovationthemes.com/docs/ot-education-insight-pro/','education-institution'));
    }
    if ( ! defined( 'EDUCATIONAL_BLOCKS_FREE_DOC' ) ) {
        define('EDUCATIONAL_BLOCKS_FREE_DOC',__('https://trial.ovationthemes.com/docs/ot-education-insight-free-doc/','education-institution'));
    }
    if ( ! defined( 'EDUCATIONAL_BLOCKS_THEME_NAME' ) ) {
        define('EDUCATIONAL_BLOCKS_THEME_NAME',__('Premium Educational Institute Theme','education-institution'));
    }
    if ( ! defined( 'EDUCATIONAL_BLOCKS_BUNDLE_LINK' ) ) {
        define('EDUCATIONAL_BLOCKS_BUNDLE_LINK',__('https://www.ovationthemes.com/products/wordpress-bundle','education-institution'));
    }
}

function education_institution_enqueue_admin_script($hook) {
    
    // Localize script to pass data to JavaScript
    wp_localize_script('education-institution-welcome-notice', 'educational_blocks_localize', array(
        'redirect_url' => admin_url('themes.php?page=educational-blocks-guide-page')
    ));
}
add_action('admin_enqueue_scripts', 'education_institution_enqueue_admin_script');